--==========================================================================
--
--  NAME       : SEQ_TASK_TYPE
--  Object Type: SEQUENCE
--
--==========================================================================
--DROP SEQUENCE SEQ_TASK_TYPE;

CREATE SEQUENCE SEQ_TASK_TYPE
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_TASK_TYPE OWNER TO spectre_admin;
  
--==========================================================================
--
--  NAME       : SEQ_TASK
--  Object Type: SEQUENCE
--
--==========================================================================
--DROP SEQUENCE SEQ_TASK;

CREATE SEQUENCE SEQ_TASK
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_TASK OWNER TO spectre_admin;
  
--==========================================================================
--
--  NAME       : SEQ_CONSOLE
--  Object Type: SEQUENCE
--
--==========================================================================
--DROP SEQUENCE SEQ_CONSOLE;

CREATE SEQUENCE SEQ_CONSOLE
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_CONSOLE OWNER TO spectre_admin;
  
--==========================================================================
--
--  NAME       : SEQ_CONSOLE_ENTITY
--  Object Type: SEQUENCE
--
--==========================================================================
--DROP SEQUENCE SEQ_CONSOLE_ENTITY;

CREATE SEQUENCE SEQ_CONSOLE_ENTITY
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_CONSOLE_ENTITY OWNER TO spectre_admin;
    
--==========================================================================
--
--  NAME       : SEQ_DEVICE
--  Object Type: SEQUENCE
--
--==========================================================================
--DROP SEQUENCE SEQ_DEVICE;

CREATE SEQUENCE SEQ_DEVICE
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_DEVICE OWNER TO spectre_admin;

--==========================================================================
--
--  NAME       : SEQ_TASK_EXECUTION_HISTORY
--  Object Type: SEQUENCE
--
--==========================================================================
--DROP SEQUENCE SEQ_TASK_EXECUTION_HISTORY;

CREATE SEQUENCE SEQ_TASK_EXECUTION_HISTORY
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_TASK_EXECUTION_HISTORY OWNER TO spectre_admin; 

--==========================================================================
--
--  NAME       : SEQ_TASK_EXECUTION_DETAIL_HISTORY
--  Object Type: SEQUENCE
--
--==========================================================================
--DROP SEQUENCE SEQ_TASK_EXECUTION_DETAIL_HISTORY;

CREATE SEQUENCE SEQ_TASK_EXECUTION_DETAIL_HISTORY
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_TASK_EXECUTION_DETAIL_HISTORY OWNER TO spectre_admin;
 
  
  CREATE SEQUENCE seq_task_svctag_map
  INCREMENT 1
  MINVALUE 1000
  MAXVALUE 999999999999
  START 1001
  CACHE 1;
ALTER TABLE seq_task_svctag_map OWNER TO spectre_admin;

CREATE SEQUENCE SEQ_TASK_HOSTLIST
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_TASK_HOSTLIST OWNER TO spectre_admin;