BEGIN TRANSACTION;

INSERT INTO device_status (global_status,description) VALUES(1000, 'HEALTHY');
INSERT INTO device_status (global_status,description) VALUES(2000,'UNKNOWN');
INSERT INTO device_status (global_status,description) VALUES(3000,'UNCONFIGURED');
INSERT INTO device_status (global_status,description) VALUES(4000,'QUARANTINED');
INSERT INTO device_status (global_status,description) VALUES(5000,'OK');
INSERT INTO device_status (global_status,description) VALUES(6000,'NOT_OK');

INSERT INTO power_state (power_state,description) VALUES(1000,'CONNECTED');
INSERT INTO power_state (power_state,description) VALUES(1,'UNKNOWN');
INSERT INTO power_state VALUES(2, 'Power on');
INSERT INTO power_state VALUES(3, 'Sleep light');
INSERT INTO power_state VALUES(4,  'Sleep - Deep');
INSERT INTO power_state VALUES(5,  'Power Cycle (Off Soft)');   
INSERT INTO power_state VALUES(6, 'Power Off - Hard');
INSERT INTO power_state VALUES(7,  'Hibernate');
INSERT INTO power_state VALUES(8,  'Power Off - Soft');                                                                
INSERT INTO power_state VALUES(9,  'Power Cycle (Off Hard)');
INSERT INTO power_state VALUES(10, 'Master Bus Reset');
INSERT INTO power_state VALUES(11, 'Diagnostic Interrupt (NMI)');
INSERT INTO power_state VALUES(12, 'Power Off - Soft Graceful');                                                              
INSERT INTO power_state VALUES(13, 'Power Off - Hard Graceful');                                                                 
INSERT INTO power_state VALUES(14, 'Master Bus Reset Graceful');
INSERT INTO power_state VALUES(15, 'ONLINE');
INSERT INTO power_state VALUES(16, 'FAILED');
INSERT INTO power_state VALUES(17, 'ON');
INSERT INTO power_state VALUES(18, 'OFF');
INSERT INTO power_state VALUES(19, 'NA');

INSERT INTO device_type (device_type,description) VALUES(1000,'SERVER');
INSERT INTO device_type (device_type,description) VALUES(2000,'CHASSIS');
INSERT INTO device_type (device_type,description) VALUES(3000,'IOM');
INSERT INTO device_type (device_type,description) VALUES(5000,'EQUALLOGIC_GROUP');
INSERT INTO device_type (device_type,description) VALUES(6000,'EQUALLOGIC_MEMBER');

INSERT INTO location_type (location_type,description) VALUES(1000,'SLOT');

INSERT INTO software_type(software_type,description) VALUES(1000,'FIRMWARE');
INSERT INTO software_type(software_type,description) VALUES(2000,'DRIVER');

INSERT INTO tetris_connection_profile_type(profile_type,description) VALUES(1000,'SERVER');
INSERT INTO tetris_connection_profile_type(profile_type,description) VALUES(2000,'CHASSIS');
INSERT INTO tetris_connection_profile_type(profile_type,description) VALUES(3000,'UNKNOWN');

INSERT INTO management_type(management_type,description) VALUES(1,'IDRAC');
INSERT INTO management_type(management_type,description) VALUES(2,'CMC');
INSERT INTO management_type(management_type,description) VALUES(3,'IOM');
INSERT INTO management_type(management_type,description) VALUES(5,'EQUALLOGIC_GROUP');
INSERT INTO management_type(management_type,description) VALUES(6,'EQUALLOGIC_MEMBER');
	  

-- connection profile default
INSERT into tetris_connection_profile (connection_profile_id, created_by, creation_date, description, "name") VALUES (-99, 'System', CURRENT_TIMESTAMP, 'System created default Connection Profile', 'SystemDefault');
INSERT into credential (credential_id, "type", connection_profile_id, parameters_xml) VALUES ( -99, 0, -99, '<?xml version="1.0" encoding="UTF-8" standalone="yes"?><CredentialParams xmlns="http://pg.dell.com/tetris/connectionprofile/xsd"><wsman><userName>root</userName><password>WLcOL/xnTqOd2Kx3s5FesRiO9M0ejgydohgesSaXrMU8X4szt5ftYQPjavMYZzq5</password><certificateCheck>false</certificateCheck></wsman></CredentialParams>');
COMMIT;