#!/bin/bash

THIS_DIR=$(cd $(dirname $0); pwd)

#clean
rm -f /etc/pki/tls/certs/localhost.crt
rm -f /etc/pki/tls/private/localhost.key

/usr/lib/jvm/java/jre/bin/keytool -delete -alias localhost -storepass changeit -keystore /usr/lib/jvm/java/jre/lib/security/cacerts
sleep 1

#create new cert for localhost.localdomain
#$THIS_DIR/createCert1.exp
# using checked in cert, so untrusted notification spamming doesn't crash VCenter development servers
cp -f $THIS_DIR/certificates/localhost/localhost.crt /etc/pki/tls/certs/localhost.crt
cp -f $THIS_DIR/certificates/localhost/localhost.key /etc/pki/tls/private/localhost.key

# change permission so that tomcat can read this file and show to user the cert CN etc
chmod 755 /etc/pki/tls/certs/localhost.crt

#import new script into the command store
$THIS_DIR/importCert.exp
