#!/bin/bash

# Establish tomcat config file paths
#tomcatConfig="/etc/sysconfig/tomcatSpectre.conf"
#tomcatBackup="/etc/sysconfig/tomcatSpectre.bac"
#tomcatTemp="/etc/sysconfig/tomcatSpectre.tmp"
#tomcatUserPath="/usr/share/tomcatSpectre"
#tomcatAnotherTemp="/etc/sysconfig/tomcat.tmp2"

# check location of tomcat config
#if [ ! -f $tomcatConfig ]; then
#	echo "Error, Tomcat Config Not Found"
#	exit 1
#fi

# if a backup already exists, then this is the second time the script is running
#if [ -f $tomcatBackup ]; then
#	echo "Found backup, reverting..."
#	mv -f $tomcatBackup $tomcatConfig
#fi

#cp -f $tomcatConfig $tomcatBackup

# Append memory size option to tomcat5.conf
#sed s/^JAVA_OPTS=\"\$JAVA_OPTS/JAVA_OPTS=\"\$JAVA_OPTS\ -Dhttp.noProxyHosts=localhost.localdomain\ -Djcifs.smb.client.dfs.disabled=true\ -Djcifs.resolveOrder=DNS,LMHOSTS\ -Dsun.net.client.defaultConnectTimeout=600000\ -Dsun.net.client.defaultReadTimeout=600000\ -Dcom.sun.xml.ws.fault.SOAPFaultBuilder.disableCaptureStackTrace=false\ -Xms512m\ -Xmx1024m\ -server\ -XX\:MaxPermSize=256m\ -XX\:\+CMSPermGenSweepingEnabled\ -XX\:\+UseConcMarkSweepGC/ <$tomcatConfig>$tomcatTemp

# Add shared/lib to the java.library.path
#sed s~-Djava.library.path=\$CATALINA_HOME/lib:\$CATALINA_BASE/lib:$/usr/lib64~-Djava.library.path=\$CATALINA_HOME/lib:\$CATALINA_BASE/lib:/usr/lib:/\$CATALINA_HOME/shared/lib~ < $tomcatTemp > $tomcatAnotherTemp: 

# replace tomcat config with new config
#mv -f $tomcatAnotherTemp $tomcatConfig
#mv -f $tomcatTemp $tomcatConfig

chown tomcat /var/www/html/plugin
chgrp tomcat /var/www/html/plugin

# editing the tomcat user
# set the home directory to tomcatSpectre for gpg keystore 
# set a default shell for the tomcat user
sed -i 's~tomcat:x:91:91:Apache Tomcat:/home/tomcat:/sbin/nologin~tomcat:x:91:91:Tomcat:/usr/share/tomcatSpectre:/bin/sh~' /etc/passwd

#echo "Changing Tomcat Users Perms"
#chmod 0770 /usr/share/tomcatSpectre

# for upgrades where the pgpass is in the old tomcat home, move it to the tomcatSpectre home
oldPgpassLoc=/home/tomcat/.pgpass
if [ -f $oldPgpassLoc ]; then
	newFileLoc=/usr/share/tomcatSpectre/.pgpass
	mv $oldPgpassLoc $newFileLoc
	chmod 600 $newFileLoc
	chown tomcat:tomcat $newFileLoc
fi
		
#echo "modifyTomcatConf finished"