#!/bin/bash
echo ""
echo ""
echo ""

LOCKFILE=/etc/sysconfig/spectreboot
echo "**********************************************"
echo " Shutting down tomcatSpectre...        $(date)"
echo "**********************************************"
/sbin/service tomcatSpectre stop
sleep 5
echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"
echo "**********************************************"
echo " Dumping tables...                     $(date)"
echo "**********************************************"
su -l postgres -c "dropdb VCenterDB"
sleep 5
su -l postgres -c "dropdb SpectreDB"
sleep 5

echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"

echo "**********************************************"
echo " Resetting Locks...                    $(date)" 
echo "**********************************************"
/bin/rm ${LOCKFILE}
sleep 2
echo "RUN_FIRSTBOOT=YES" > ${LOCKFILE}
sleep 2
echo "**********************************************"
echo " Done!                                 $(date)"
echo "**********************************************"

echo "**********************************************"
echo " Rebooting...                         $(date)"
echo "**********************************************"
/sbin/shutdown -r "now"
exit 0
