#!/bin/bash

THIS_DIR=$(cd $(dirname $0); pwd)

echo "**********************************************"
echo " Running Tetris Commons Database Scripts $(date) "
echo "**********************************************"


if [ ! -f /etc/sysconfig/spectre-lame ]; then
   
	array=($THIS_DIR/DBScripts/02CreateTables/* $THIS_DIR/DBScripts/03CreateSequence/* $THIS_DIR/DBScripts/04PopulateData/* $THIS_DIR/DBScripts/05CreateViews/* $THIS_DIR/DBScripts/06CreateFunctions/* $THIS_DIR/DBScripts/DatabaseVersion.sql)

	len=${#array[*]}

	i=0

      while [ $i -lt $len ]; do
	
         
        echo "${array[$i]}"

        if  [ ${array[$i]:${#array[$i]}-3:3} = "txt" ] ; then
                echo "Skip this one"
        else if [ ${array[$i]:${#array[$i]}-3:3} = "sql" ] ; then
                /usr/bin/psql -h localhost -U postgres -d @DB_NAME@ -f "${array[$i]}"
        else
               echo Not Executable    
            fi
       fi  
       let i++
   done

fi
# end if not exist /etc/sysconfig/spectre-lame

 
echo  "**********************************************"
echo   "Tetris Commons Database Scripts Ended $(date)"
